Package org.apache.calcite.avatica

# Enum BuiltInConnectionProperty

java.lang.Object
java.lang.Enum<BuiltInConnectionProperty>
org.apache.calcite.avatica.BuiltInConnectionProperty

All Implemented Interfaces:
  `Serializable`, `Comparable<BuiltInConnectionProperty>`, `java.lang.constant.Constable`, `ConnectionProperty`

public enum BuiltInConnectionProperty extends Enum<BuiltInConnectionProperty> implements ConnectionProperty
Enumeration of Avatica's built-in connection properties.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Nested classes/interfaces inherited from interface org.apache.calcite.avatica.ConnectionProperty

`ConnectionProperty.Type`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AUTHENTICATION`
The type of authentication to be used
`AVATICA_PASSWORD`
Avatica-based authentication password
`AVATICA_USER`
Avatica-based authentication user name
`FACTORY`
Factory.
`HOSTNAME_VERIFICATION`
`HTTP_CLIENT_FACTORY`
Factory for constructing http clients.
`HTTP_CLIENT_IMPL`
HttpClient implementation class name.
`KEY_PASSWORD`
Password for the key inside keystore
`KEYSTORE`
Keystore for MTLS authentication
`KEYSTORE_PASSWORD`
Password for the keystore
`KEYTAB`
Keytab to use to perform Kerberos login.
`PRINCIPAL`
Principal to use to perform Kerberos login.
`SCHEMA`
Name of initial schema.
`SERIALIZATION`
Serialization used over remote connections
`TIME_ZONE`
Time zone, for example 'gmt-3'.
`TRANSPARENT_RECONNECTION`
`TRUSTSTORE`
Truststore for SSL/TLS communication
`TRUSTSTORE_PASSWORD`
Password for the truststore
`URL`
Remote URL.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BuiltInConnectionProperty`
`TIMEZONE`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`String`
`camelName()`
The name of this property in camel-case.
`Object`
`defaultValue()`
Returns the default value of this property.
`static boolean`
`isLocalProperty(Object propertyName)`
Checks if the given property only applicable to the remote driver (should not be sent to the Avatica server).
`boolean`
`required()`
Whether the property is mandatory.
`ConnectionProperty.Type`
`type()`
Returns the data type of this property.
`Class`
`valueClass()`
Class of values that this property can take.
`static BuiltInConnectionProperty`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BuiltInConnectionProperty[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
`ConnectionConfigImpl.PropEnv`
`wrap(Properties properties)`
Wraps this property with a properties object from which its value can be obtained when needed.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.calcite.avatica.ConnectionProperty

`name`

## Enum Constant Details

### FACTORY

public static final BuiltInConnectionProperty FACTORY
Factory.

### SCHEMA

public static final BuiltInConnectionProperty SCHEMA
Name of initial schema.

### TIME_ZONE

public static final BuiltInConnectionProperty TIME_ZONE
Time zone, for example 'gmt-3'. Default is the JVM's time zone.

### URL

public static final BuiltInConnectionProperty URL
Remote URL.

### SERIALIZATION

public static final BuiltInConnectionProperty SERIALIZATION
Serialization used over remote connections

### AUTHENTICATION

public static final BuiltInConnectionProperty AUTHENTICATION
The type of authentication to be used

### AVATICA_USER

public static final BuiltInConnectionProperty AVATICA_USER
Avatica-based authentication user name

### AVATICA_PASSWORD

public static final BuiltInConnectionProperty AVATICA_PASSWORD
Avatica-based authentication password

### HTTP_CLIENT_FACTORY

public static final BuiltInConnectionProperty HTTP_CLIENT_FACTORY
Factory for constructing http clients.

### HTTP_CLIENT_IMPL

public static final BuiltInConnectionProperty HTTP_CLIENT_IMPL
HttpClient implementation class name.

### PRINCIPAL

public static final BuiltInConnectionProperty PRINCIPAL
Principal to use to perform Kerberos login.

### KEYTAB

public static final BuiltInConnectionProperty KEYTAB
Keytab to use to perform Kerberos login.

### TRUSTSTORE

public static final BuiltInConnectionProperty TRUSTSTORE
Truststore for SSL/TLS communication

### TRUSTSTORE_PASSWORD

public static final BuiltInConnectionProperty TRUSTSTORE_PASSWORD
Password for the truststore

### KEYSTORE

public static final BuiltInConnectionProperty KEYSTORE
Keystore for MTLS authentication

### KEYSTORE_PASSWORD

public static final BuiltInConnectionProperty KEYSTORE_PASSWORD
Password for the keystore

### KEY_PASSWORD

public static final BuiltInConnectionProperty KEY_PASSWORD
Password for the key inside keystore

### HOSTNAME_VERIFICATION

public static final BuiltInConnectionProperty HOSTNAME_VERIFICATION

### TRANSPARENT_RECONNECTION

public static final BuiltInConnectionProperty TRANSPARENT_RECONNECTION

## Field Details

### TIMEZONE

@Deprecated public static final BuiltInConnectionProperty TIMEZONE
Deprecated.
Deprecated; use `TIME_ZONE`.

## Method Details

### values

public static BuiltInConnectionProperty[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BuiltInConnectionProperty valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### camelName

public String camelName()
Description copied from interface: `ConnectionProperty`
The name of this property in camel-case. (E.g. "materializationsEnabled".)

Specified by:
  `camelName` in interface `ConnectionProperty`

### defaultValue

public Object defaultValue()
Description copied from interface: `ConnectionProperty`
Returns the default value of this property. The type must match its data type.

Specified by:
  `defaultValue` in interface `ConnectionProperty`

### type

public ConnectionProperty.Type type()
Description copied from interface: `ConnectionProperty`
Returns the data type of this property.

Specified by:
  `type` in interface `ConnectionProperty`

### required

public boolean required()
Description copied from interface: `ConnectionProperty`
Whether the property is mandatory.

Specified by:
  `required` in interface `ConnectionProperty`

### valueClass

public Class valueClass()
Description copied from interface: `ConnectionProperty`
Class of values that this property can take. Most useful for `ConnectionProperty.Type.ENUM` properties.

Specified by:
  `valueClass` in interface `ConnectionProperty`

### wrap

public ConnectionConfigImpl.PropEnv wrap(Properties properties)
Description copied from interface: `ConnectionProperty`
Wraps this property with a properties object from which its value can be obtained when needed.

Specified by:
  `wrap` in interface `ConnectionProperty`

### isLocalProperty

public static boolean isLocalProperty(Object propertyName)
Checks if the given property only applicable to the remote driver (should not be sent to the Avatica server).

Parameters:
  `propertyName` - Name of the property
Returns:
  True if the property denoted by the given name is only relevant locally, otherwise false.